Subject: bug#52183: 29.0.50; Empty space in the mode line if server-mode is active

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 04 Dec 2021 23:01:33 +0100

Eli Zaretskii <[email-masked]> writes:

> The main point of what I wrote is that we actually display the whole
> 5-to-6 character sequence of indicators as 4 separate strings, not as
> a single string made of concatenation of those 4.  So even if/when the
> min-width stuff is fixed as we discussed, you will have 4 strings
> displayed one after the other, and each one of them has the min-width
> spec, so each one of them will be displayed as at least 5 characters.
> And that's not what you want here.

It sounds like much the same thing that happens when doing the
" (%l,%c)" -- you also get two strings then, which is why the min-width
end handler checks that we're really at the end of the sequence of strings.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no